WPML a WooCommerce Multilingual

Úvodní stránka Fórum podpory WordPressu Pluginy (funkčnost webu) WPML a WooCommerce Multilingual

Zvolené téma obsahuje celkem 15 odpovědí. Do diskuze (2 účastníci) se naposledy zapojil uživatel  admin a poslední změna je stará 2 roky, 10 měsíců.

Aktuálně je na stránce zobrazeno 16 příspěvků - 1. až 16. (z celkem 16)
  • Autor
    Příspěvky
  • #28704

    Paja
    Participant

    Zdravím, na webu používám WPML a WooCommerce Multilingual, ale mám problém s tím, že pokud web přepnu do jiného jazyku než je Čeština, tak mi v košíku chybí sumarizace + tlačítko přejít k pokladně. Mohl by mi někdo poradit, čím by to mohlo být.

    S přepnutím jazyka se mění i použitá měna.

    Děkuji

    #28705

    admin
    Keymaster
    Web

    Není to ten samý dotaz? Podařilo se tam aktualizovat plugin a dokončit to?

    #28707

    Paja
    Participant

    Ano, souvisí to s tím, dle vašeho doporučení se podařilo plugin zaktualizovat.

    #28708

    admin
    Keymaster
    Web

    Zkoušel jste použít výchozí šablonu Twenty Sixteen nebo Storefront (pro WooCommerce)?

    Máte vše nastavené podle manuálu?

    #28712

    Paja
    Participant

    šablonu jsem zatím nezkoušel změnit.

    Postupoval jsem návodu. U výrobků jsou ceny v €, chyba je jen v té sumarizace a chybějícím tlačítku

    #28713

    admin
    Keymaster
    Web

    Jakou šablonu používáte? Určitě bych ji zkusil změnit, protože nemusí obsahovat některé potřebné funkce z WooCommerce (nebo ve špatné podobě), na které se plugin potřebuje napojit…

    #28714

    Paja
    Participant
    #28715

    admin
    Keymaster
    Web

    Díky, používáte nejnovější verzi 2.6.13? Určitě zkuste nejdříve výchozí šablony, abyste vyloučil, že to není problém na straně placené šablony…

    #28853

    Paja
    Participant

    Zkoušel jsem použít i jinou šablonu (Storefront), ale problém je všude stejný (viz přiložený screen).

    Bylo by možné, aby jste se na to zkusil podívat?

    Děkuji

    #28858

    admin
    Keymaster
    Web

    @paja: Můžete ještě zkusit kontaktovat autory šablony či pluginu, jinak těžko říci…

    Mohu se na to podívat, ale už to bude v rámci placené zakázky, protože bude třeba zjistit příčinu problému v kombinaci několika pluginů a šablony, což většinou nebývá nic příjemného a jednoduchého :-( Třeba to bude jen nějaká drobnost, ale opravdu předem těžko odhadovat. Pokud to chcete zkusit, tak prosím pošlete přístupy…

    #28870

    Paja
    Participant

    Zjistil jsem, že pokud v pluginu WooCommerce Multilingual zapnu Multi-currency, tak při přepnutí na cizí jazyk (změna domény a rovněž i změna měny) mi konzole vypíše 500 Internal Server Error, děje se tak u adresy www.mujweb.cz/cart. Pokud však měnu nechám jednotnou tak vše funguje v pořádku.

    #28875

    admin
    Keymaster
    Web

    To by mohlo pomoci, jaký používáte hosting? Máte přístup k chybovému logu (error.log)? Tam by mohly být nějaké chybové hlášky, které třeba naznačí, v čem by mohl být problém…

    #28880

    Paja
    Participant

    ještě jsem zkusil zapnout debug mode a vypsalo se mi níže uvedené. Máte nějaký nápad jak bych to mohl opravit? Děkuji

    WordPress database error: [Table 'platboscz_cms.wp_woocommerce_shipping_zone_methods' doesn't exist]
    SELECT * FROM wp_woocommerce_shipping_zone_methods WHERE method_id IN('flat_rate', 'local_pickup', 'free_shipping')
    
    Fatal error: Call to undefined method WC_Shipping_Rate::get_label() in /data/www/723/www/wp-content/plugins/woocommerce-multilingual/inc/currencies/class-wcml-multi-currency-shipping.php on line 52
    #28885

    admin
    Keymaster
    Web

    Nebyla vytvořena databázová tabulka wp_woocommerce_shipping_zone_methods. Sice nevím, kdy přesně v rámci aktualizace WooCommerce vzniká, ale máte v administraci nepřehlédnutelnou hlášku “New: Shipping Zones” s tlačítkem “Setup shipping zones”. Jde o novou funkci ve WooCommerce 2.6 a možná si tím musíte projít, aby tabulka vůbec vznikla, nezkoušel jsem to.

    Ale na webu jsou i další problémy a už jsem to psal výše – je třeba tam mít nejdříve všechno aktuální, abychom neřešili něco, což už bylo dávno vyřešeno! Šablonu máte ve verzi 2.5.9 (více než rok stará “neoficiální” verze) místo aktuální 2.6.13, dále tam máte sice aktuální WPML Media, ale samotný WPML je ve staré verzi, atd.

    A celý web teď vypadá rozbitý s mnoha chybovými hláškami?

    #28886

    Paja
    Participant

    Děkuji, pokud to tedy vezmu z globálního pohledu tak je vhodné respk. nutné udržovat aktuální verze.

    #28890

    admin
    Keymaster
    Web

    Nedá se to říci obecně, osobně jsem třeba ještě neaktualizoval na nejnovější WordPress 4.6 :-) Důležité je to ale v případě, že narazíte na nějaký problém. Nikdo nebude pátrat po příčině v situaci, kdy máte nejnovější WordPress, ale zastaralou šablonu a starší verze některých pluginů, protože už mohl být problém dávno vyřešen jejich autory. Pokud je na webu nějaký problém, tak se musí vyloučit možnost, že už to někdo opravil, aby se to nedělalo zbytečně. Pokud do toho chcete investovat, tak je to samozřejmě možné, ale opravdu zbytečné. Je třeba mít vše aktuální, potvrdit nebo vyloučit problém a následně ho řešit…

    Pokud web běží bez problému, tak můžete zůstat klidně u starších verzí a aktualizace dělat jednou za rok (samozřejmě nezakazovat automatické bezpečnostní aktualizace WordPressu)…

Aktuálně je na stránce zobrazeno 16 příspěvků - 1. až 16. (z celkem 16)

Pokud chcete odpovědět na toto téma, musíte se nejdříve přihlásit.